If you're using Ubuntu in a business setting, you should be using an LTS version - Ubuntu 12.04 is the most recent LTS version, and it runs better on old hardware than 12.10.

Ubuntu 12.10 requires...